<?php
if (!defined('WPINC')) {
    die;
}
?>

<div class="wrap">
    <h1><?php echo esc_html(get_admin_page_title()); ?></h1>
    
    <div class="ai-chatbot-dashboard">
        <div class="ai-chatbot-stats">
            <h2>Account Overview</h2>
            <?php
            $api_key = get_option('ai_chatbot_api_key');
            if ($api_key) {
                $api = new AI_Business_Chatbot_API($api_key);
                $account_data = $api->validate_and_fetch_account_data();
                
                if ($account_data['success']) {
                    $data = $account_data['data'];
                    ?>
                    <div class="stats-grid">
                        <div class="stat-box">
                            <h3>Workspace</h3>
                            <p><?php echo esc_html($data['workspace_name']); ?></p>
                            <small>ID: <?php echo esc_html($data['workspace_id']); ?></small>
                        </div>
                        <div class="stat-box">
                            <h3>User</h3>
                            <p><?php 
                                echo esc_html($data['user']['first_name'] . ' ' . $data['user']['last_name']); 
                            ?></p>
                        </div>
                        <div class="stat-box">
                            <h3>Plan</h3>
                            <p><?php echo esc_html($data['plan_title']); ?></p>
                        </div>
                        <div class="stat-box">
                            <h3>Credits</h3>
                            <p><?php echo esc_html($data['total_credit_count']); ?></p>
                            <div class="credit-details">
                                <small>Usage: <?php echo esc_html($data['usage_count']); ?></small>
                                <small>Remaining: <?php echo esc_html($data['credit_percentage']); ?></small>
                            </div>
                        </div>
                    </div>
                    <?php
                } else {
                    echo '<div class="notice notice-error"><p>Error fetching account data.</p></div>';
                }
            } else {
                echo '<div class="notice notice-warning"><p>Please configure your API key in settings.</p></div>';
            }
            ?>
        </div>
    </div>
</div>