<?php
/**
 * Plugin Name: AI Business Chatbot by QOUIQ
 * Plugin URI: https://qouiq.com
 * Description: A professional chatbot solution for business websites
 * Version: 1.0.0
 * Author: Ryan Ben Hassine
 * Author URI: https://ryanbenhassine.com
 * License: GPL-2.0+
 * License URI: http://www.gnu.org/licenses/gpl-2.0.txt
 * Text Domain: ai-business-chatbot
 * Domain Path: /languages
 */

// If this file is called directly, abort.
if (!defined('WPINC')) {
    die;
}

// Define plugin constants
define('AI_BUSINESS_CHATBOT_VERSION', '1.0.0');
define('AI_BUSINESS_CHATBOT_PLUGIN_DIR', plugin_dir_path(__FILE__));
define('AI_BUSINESS_CHATBOT_PLUGIN_URL', plugin_dir_url(__FILE__));

// Load required files
require_once AI_BUSINESS_CHATBOT_PLUGIN_DIR . 'includes/class-database.php';
require_once AI_BUSINESS_CHATBOT_PLUGIN_DIR . 'includes/class-api.php';
require_once AI_BUSINESS_CHATBOT_PLUGIN_DIR . 'includes/class-loader.php';
require_once AI_BUSINESS_CHATBOT_PLUGIN_DIR . 'admin/class-admin.php';

// Activation Hook
register_activation_hook(__FILE__, 'ai_business_chatbot_activate');
function ai_business_chatbot_activate() {
    // Ensure database class is loaded
    if (!class_exists('AI_Business_Chatbot_DB')) {
        require_once AI_BUSINESS_CHATBOT_PLUGIN_DIR . 'includes/class-database.php';
    }
    
    $db = new AI_Business_Chatbot_DB();
    $db->create_tables();
    
    // Set default options
    add_option('ai_chatbot_display_mode', 'entire_site');
    add_option('ai_chatbot_chat_title', 'Chat Support');
    add_option('ai_chatbot_appearance', array(
        'icon' => 'default',
        'chat_color' => '#007bff',
        'messages_color' => '#ffffff',
        'messages_border_radius' => '10',
        'chat_box_border_radius' => '15',
        'custom_css' => ''
    ));
}

// Deactivation Hook
register_deactivation_hook(__FILE__, 'ai_business_chatbot_deactivate');
function ai_business_chatbot_deactivate() {
    // Cleanup temporary data if needed
}

// Initialize the plugin
add_action('plugins_loaded', 'run_ai_business_chatbot');
function run_ai_business_chatbot() {
    $loader = AI_Business_Chatbot_Loader::get_instance();
}