<?php

public function enqueue_styles() {
    wp_enqueue_style(
        'ai-business-chatbot-public',
        AI_BUSINESS_CHATBOT_PLUGIN_URL . 'public/css/public.css',
        array(),
        AI_BUSINESS_CHATBOT_VERSION
    );

    // Add custom CSS variables
    $appearance = get_option('ai_chatbot_appearance', array());
    $custom_css = "
        :root {
            --chat-color: {$appearance['chat_color']};
            --messages-color: {$appearance['messages_color']};
            --messages-border-radius: {$appearance['messages_border_radius']}px;
            --chat-box-border-radius: {$appearance['chat_box_border_radius']}px;
            --icon-size: {$appearance['icon_size']}px;
            --chat-box-width: {$appearance['chat_box_width']}px;
            --chat-box-height: {$appearance['chat_box_height']}px;
            --user-message-font-size: {$appearance['user_message_font_size']}px;
            --bot-message-font-size: {$appearance['bot_message_font_size']}px;
            --header-font-size: {$appearance['header_font_size']}px;
            --bot-message-bg: {$appearance['bot_message_bg']};
            " . ($appearance['icon_type'] === 'custom' ? "
            --icon-image: url('{$appearance['custom_icon']}');
            --icon-svg-display: none;
            " : '') . "
        }
        {$appearance['custom_css']}
    ";
    wp_add_inline_style('ai-business-chatbot-public', $custom_css);
} 